tigase.jaxmpp.core.client.xmpp.utils

## Class DateTimeFormat

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.utils.DateTimeFormat

-     public class DateTimeFormat
      extends Object

  Date time formatter, implements XMPP Date and Time Profiles.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `DateTimeFormat.DateTimeFormatProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateTimeFormat()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `format(Date date)`
    `Date` | `parse(String s)`
    `static void` | `setProvider(DateTimeFormat.DateTimeFormatProvider provider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateTimeFormat

          public DateTimeFormat()

  - ### Method Detail

    - #### setProvider

          public static void setProvider(DateTimeFormat.DateTimeFormatProvider provider)

    - #### format

          public String format(Date date)

    - #### parse

          public Date parse(String s)

Copyright © 2006–2020 Tigase. All rights reserved.